DELETE api/partner/orders/order/delete
Метод удаляет заказ
Request Information
URI Parameters
None.
Body Parameters
Body| Name | Description | Type | Additional information |
|---|---|---|---|
| PartnerId |
Идентификатор клиента |
globally unique identifier |
None. |
| User |
Пользователь |
UserModel |
None. |
| Order |
Модель заказа |
OrderModel |
None. |
| Read |
Модель для чтения |
ReadModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"partnerId": "9d2875ab-4550-4285-ae8e-6775a54e708a",
"user": {
"id": 1,
"email": {
"address": "sample string 1",
"isApproved": true
}
},
"order": {
"id": "843a7ee7-691a-4695-a95a-8375073c69d2",
"identifiers": [
1,
2
]
},
"read": {
"orderId": "a7e24137-ba4b-4780-97eb-2fde7562fc84",
"eId": 2
}
}
application/xml, text/xml
Sample:
<PartnerController.Body xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Order>
<Id>843a7ee7-691a-4695-a95a-8375073c69d2</Id>
<Identifiers xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</Identifiers>
</Order>
<PartnerId>9d2875ab-4550-4285-ae8e-6775a54e708a</PartnerId>
<Read>
<EId>2</EId>
<OrderId>a7e24137-ba4b-4780-97eb-2fde7562fc84</OrderId>
</Read>
<User>
<Email>
<Address>sample string 1</Address>
<IsApproved>true</IsApproved>
</Email>
<Id>1</Id>
</User>
</PartnerController.Body>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.